<?php
namespace Teknisa\CMP\Modules\Fornecimento\Modules\AutorizacaoFornecimento\Controllers;

use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\Controller;
use Zeedhi\Framework\Controller\Crud;
use Zeedhi\Framework\Report\ReportService;
use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DTO\Response\Notification;
use Teknisa\CMP\Modules\Fornecimento\Modules\AutorizacaoFornecimento\Services\MinimoFornecedorPorRegiaoService;

class Cmp09600ConsultaEnvioAfFornecedor extends \Zeedhi\Framework\Controller\Report {

    protected $connection;

    
    public function __construct(ReportService $reportService, $connection, $entityManager, $crudService, $qr2Strategy) {
        parent::__construct($reportService);
        $this->connection    = $connection;
        $this->entityManager = $entityManager;
        $this->crudService   = $crudService;
        $this->qr2Strategy   = $qr2Strategy;
    }

    protected $reportMapping = array (
        'CMP09600' =>
            array (
                'strategy' => 'QR2',
                'parameterMapping' =>
                    array (
                        "L_FILIAL"         => "L_FILIAL",
                        "L_COMPRADOR"      => "L_COMPRADOR",
                        "L_FORNECEDOR"     => "L_FORNECEDOR",
                        "P_CDFILICENTCOMP" => "P_CDFILICENTCOMP",
                        "P_DTINICIALAF"    => "P_DTINICIALAF",
                        "P_DTFINALAF"      => "P_DTFINALAF",
                        "P_TDTAF"          => "P_TDTAF",
                        "P_DTENTREGAINI"   => "P_DTENTREGAINI",
                        "P_DTENTREGAFIN"   => "P_DTENTREGAFIN",
                        "P_TDTENTREGA"     => "P_TDTENTREGA",
                        "P_ENVIADA"        => "P_ENVIADA",
                        "P_RETORNADA"      => "P_RETORNADA",
                        "P_CDGRUPFILI"     => "P_CDGRUPFILI"
                    )
            )
    );
    
   public function beforeProcessReport(DTO\Request\Row $request, DTO\Response $response) {
        $row = $request->getRow();
        $this->qr2Strategy->setQr2Type($row['QR2TYPE']);
    }
    
   
    
    
}